MillionSend Docs

Update a thread

PATCH
/inboxes/{inbox_id}/threads/{thread_id}

Mark every message read or unread, move it to inbox, archive, spam or trash (moving out of trash restores it), or apply a label.

Path Parameters

inbox_id*string

The inbox ID

Formatuuid
thread_id*string

The thread ID

Formatuuid

Request Body

application/json
  1. body
read?boolean

Marks every message read or unread

folder?string

sent is assigned, never chosen

Value in"inbox""archive""spam""trash"
label_id?string

Applies this label

Formatuuid

Response Body

Thread updated

application/json
  1. response
object*"inbox_thread"
Value in"inbox_thread"
id*string
Formatuuid
subject*string
folder*string
Value in"inbox""archive""spam""sent""trash"
labels*array<>
read*boolean
quarantined*integer

MillionSend extension: held messages; 0 for inbox-scoped keys

Example Request
curl -X PATCH 'https://api.millionsend.com/inboxes/497f6eca-6276-4993-bfeb-53cbbbba6f08/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "object": "inbox_thread",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "subject": "string",  "folder": "inbox",  "labels": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "color": "string"    }  ],  "read": true,  "quarantined": 0}